package com.brilliance.isc.common.transaction.newcheck;

import lombok.AllArgsConstructor;
import lombok.Data;

@Data
@AllArgsConstructor
public class WarningResult {

    private String subid;

    private String message;

    /**
     * 参与warning计算的栏位值
     */
    private Object[] val;

    public static WarningResult build(String subid, String message, Object[] val) {
        return new WarningResult(subid, message, val);
    }

    public static WarningResult build(String subid, String message) {
        return new WarningResult(subid, message, new Object[0]);
    }

    public static WarningResult buildEmpty(String subid) {
        return new WarningResult(subid, "", new Object[0]);
    }

}
